# mkm junk rare finder

## Requirements

- Node
- yarn

## How to use

### Get dependencies

Just run `yarn`

### Get API keys

Go to https://www.cardmarket.com/en/Magic/Account/API and create a Dedicated app.

Put the keys in your environment like so:

```sh
export APP_TOKEN=<App token>
export APP_SECRET=<App secret>
export ACCESS_TOKEN=<Access token>
export ACCESS_SECRET=<Access token secret>
```

### Build card db

To use the rare finder, you'll need to build the rare db

1. Download this: https://www.mtgjson.com/files/AllPrintings.json
2. Also download this: https://archive.scryfall.com/json/scryfall-default-cards.json
3. Run `yarn build-db`

It will create a file called `mcmCards.json`

## Fetch all cards listed by a user

1. `yarn fetch <userid>`
2. `yarn find <userid>`

User ID can be either a username or user id on cardmarket

## Create a cube out of the cheap rares!

WIP, will be `yarn cube <userid>`